#! /bin/sh
# set -v
cd `dirname $0`
PATH=`pwd`:$PATH
job=`basename $0`
lock=/var/lock/$job.lock

if [ -r $lock ]; then
	exit 0
fi

echo $$ > $lock

for f in `echo $job.\*`; do
	if [ -x $f ]; then
		$f
	fi
done

rm $lock
touch $lock.test
